;************************************************************
;Program :	Port RA6 & RA7 operation 
;Description :	Using RA6 amd RA7 to digital output port
;Filename :	lab0101.asm
;************************************************************

	LIST	P=16F628,W=-302
	
TRISA	EQU	0X85	; BANK1
PORTA	EQU	0X05	; BANK 0
COUNT0	EQU	0X70	; COMMON RAM
COUNT1	EQU	0X71	;

	__CONFIG	0X3F70		
	ORG	0X000
	
	BANKSEL	TRISA	; BANK 1
	MOVLW	B'00111111' ; RA7-RA6 = OUTPUT
	MOVWF	TRISA
	 
	BANKSEL	PORTA	; BANK 0

	MOVLW	B'10111111'
	MOVWF	PORTA	
	CALL	DELAY
TOGGLE
	COMF	PORTA,1	; TOGGLE
	CALL	DELAY
	GOTO	TOGGLE

DELAY
	CLRF	COUNT0
	CLRF	COUNT1
DECREASE	
	DECFSZ	COUNT0,1
	GOTO	DECREASE
	DECFSZ	COUNT1,1
	GOTO	DECREASE
	RETURN

	END
