;****************************************
;Program :	Port RA3-RA0 operation 
;Description :	Using port RA3-RA0 to digital port
;Filename :	hlab0401.asm
;****************************************

	LIST	P=16F628,W=-302
	
TRISA	EQU	0X85	; Bank 1
PORTA	EQU	0X05	; Bank 0
CMCON	EQU	0X1F	;
COUNT	EQU	0X70	; Common RAM

	__CONFIG	0X3F61
	
	ORG	0X000
	
;	MOVLW	.7	; Change to digital port
;	MOVWF	CMCON
	BANKSEL	TRISA	; Bank 1
	MOVLW	B'11110000' ; RA3-RA0 = output 
	MOVWF	TRISA		
	BANKSEL	PORTA	; Bank 0
	CLRF	PORTA
LOOP	
	COMF	PORTA,1
	CALL	DELAY
	GOTO	LOOP
DELAY	
	CLRF	COUNT
	CLRF	COUNT+1
	DECFSZ	COUNT,1
	GOTO	$-1
	DECFSZ	COUNT+1,1
	GOTO	$-3
	RETURN
	
	END
