;*****************************************************
;Program :	Writing data EEPROM -1
;Description :	Writing dat EEPROM during MCU operates
;Filename :	hlab1201.asm
;*****************************************************
	LIST	P=16F628,W=-302
EEDATA  EQU	0x9A
EEADR   EQU 	0x9B
EECON1  EQU   	0x9C
EECON2  EQU  	0x9D
WREN    EQU  	2
WR      EQU   	1
MY_DATA	EQU	0x70
COUNT	EQU	0x71
;**************************************************************
       	 __CONFIG        0x3F61

START	ORG    	0x000
	
	BANKSEL	EECON1		; Bank 1
	
	MOVLW	0x00		; EEPROM address
	MOVWF	EEADR

	MOVLW	0xAB   		; EEPROM data  
	MOVWF	EEDATA

       	BSF    	EECON1,WREN     ; Enable write

;*********** REQUIRED SEQUENCE ********************                
    	MOVLW	0x55            ; Write 0x55
     	MOVWF 	EECON2
     	MOVLW 	0xAA            ; Write AA
       	MOVWF  	EECON2
;*********** END OF SEQUENCE  ********************* 
               
  	BSF  	EECON1,WR	; Start write
    	BTFSC	EECON1,WR
    	GOTO	$-1		; Wait
	GOTO	$		; Write complete 
                
       	END
