;*****************************************************************************************
; Program :	Analog comparator operation
; Description :	Demonstrate analog comparator operation in normal and 	;		inverse output
; Filename :	hlab2001.asm
;*****************************************************************************************
	LIST	P=16F628,W=-302
PORTA	EQU	0x05  			; Bank 0
CMCON	EQU	0x1F
TRISA	EQU	0x85  			; Bank 1

	__CONFIG	0x3F61
	ORG	0x0000

	BANKSEL	TRISA
	BCF	TRISA,3		; RA3 as output
	OUTPUT_TYPE	= 0x00

    IF   OUTPUT_TYPE == 0x00
	  BANKSEL	CMCON
	  MOVLW	B'11000110'		; C1 mode 6, non-invert
	  MOVWF	CMCON
    ELSE
    	  BANKSEL	CMCON
	  MOVLW	B'11010110' 		; C1 Mode 6, invert
	  MOVWF	CMCON
    ENDIF	
		
COMPARATOR	
	CALL	DELAY_10		; Delay 10 us 
	GOTO	COMPARATOR
	
DELAY_10
	GOTO	$+1			; 2 uS	
	GOTO	$+1			; 2 uS
	GOTO	$+1			; 2 uS
	GOTO	$+1			; 2 uS
	RETURN				; 2 uS

	END
