;*****************************************************************************************
; Program :	Reference voltage module operation
; Description :	Demonstrate basic operation of reference voltage module
; Filename :	hlab2201.asm
;*****************************************************************************************
	LIST	P=16F628,W=-302

TRISA	EQU	0x85
VRCON	EQU	0x9F
CMCON	EQU	0x1F

	__CONFIG	0x3F61
	ORG	0x000
	
	MOVLW	0x02
	MOVWF	CMCON			; Multiplexed input
INIT_PORT	
	BANKSEL	TRISA
	BSF	TRISA,2		; Ensure RA2 as input
	BANKSEL	VRCON

	MOVLW	B'11101100' 	; Change condition here
	MOVWF	VRCON			; Low range 2.5 V
DELAY	GOTO	$+1			; Delay 10 us
	GOTO	$+1
	GOTO	$+1
	GOTO	$+1
	GOTO	$

	END
