;******************************************************************
; Program : 	Ramp generator
; Description :	Using 8-bit R-2R ladder DAC to generate ramp signal
; Filename : 	hlab3402.asm
;****************************************************************** 
	LIST	P=16F628,W=-302 
	__CONFIG 0x3F61

STATUS	EQU	0x03
PORTB	EQU	0x06
COUNT1	EQU	0x0C
VOLTS	EQU	0x70
TRISB	EQU	0x86
RP0	EQU	5
W	EQU	0
F	EQU	1
	
	ORG	0x0000
START	BSF	STATUS,RP0 		; Bank 1
	CLRF	TRISB				; PORTB as output	
	BCF	STATUS,RP0		; Bank 0	
	CLRF	PORTB
	CLRF	VOLTS

LOOP	MOVF	VOLTS,W		
	MOVWF	PORTB
	NOP
	NOP
     	NOP
	INCF	VOLTS,F		 
	GOTO	LOOP

	END
