;**************************************
; Program :	Clear bit with AND operation
; Description :	Demonstrate using AND operation for clearing bit in register file
; Filename :	lab0502.asm
;***************************************
LIST 	P=16F628

STATUS	EQU	0x03
PORTB	EQU	0x06
W	EQU	0
F	EQU	1
RP0	EQU	5

	ORG 	0x00

INIT	BSF	STATUS,RP0	; Select bank 1
	CLRF	PORTB		; Port B as output	
	BCF	STATUS,RP0	; Select bank 0
	CLRF	PORTB		; clear PORTB
	COMF	PORTB,F		; complement to set PORTB

START	MOVLW	b'11111111'	; 
	ANDLW	b'11011111'	; Clear PORTB bit 5 
	MOVWF	PORTB		; Display at Port B
CYCLE	GOTO	CYCLE		; Done
	END
