;****************************************************************************************
; Program :	Complement bit with XOR operation
; Description :	Demonstrate using XOR operation to convert bit in register file
; Filename :	lab0503.asm
;****************************************************************************************
	LIST 	P=16F628
STATUS	EQU	0x03
PORTB	EQU	0x06
W	EQU	0
F	EQU	1
RP0	EQU	5

	ORG 	0x00

INIT	BSF	STATUS,RP0	; Select bank 1
	CLRF	PORTB		; Port B as output	
	BCF	STATUS,RP0	; Select bank 0
	CLRF	PORTB		; Clear output port
	
	MOVLW	b'11001100'
	MOVWF	PORTB

	XORLW	b'01010101'	; 

	MOVWF	PORTB		; Display at Port B

CYCLE	GOTO	CYCLE		; Done

	END
