;***************************************************************************
; Program : 8-bit multiplier
; Description : Multiply 8-bit number with shift bit and addition method
; Filename : lab0806.asm
;***************************************************************************

		LIST	P=16F628
     		CBLOCK	0x70
		MULTIPLICAND,MULTIPLIER,PRODUCT_H,PRODUCT_L,COUNTER
		ENDC
           
		ORG	0x0000

; TEST PROGRAM             
		MOVLW	0x14			; INPUT 8 BIT
		MOVWF	MULTIPLICAND
		MOVLW	0x17			; INPUT 8 BIT
		MOVWF	MULTIPLIER	
	
		CALL	MUL8
		GOTO	$

;*******************  8*8 MULTIPLIER *************************
MUL8		MOVLW	.8	
		MOVWF	COUNTER
		CLRF	PRODUCT_H
		CLRF	PRODUCT_L
            
		MOVFW	MULTIPLICAND
		CLRC
MUL_LOOP 	RRF	MULTIPLIER,1
		SKPNC	
		ADDWF	PRODUCT_H,1
		RRF	PRODUCT_H,1
		RRF	PRODUCT_L,1
		DECFSZ	COUNTER,1
		GOTO	MUL_LOOP
		RETURN
	
		END
