;****************************************************************
; Program : 8-bit divider
; Description : Demonstrate 8-bit divider 'n' value
; Filename : lab0811.asm
;****************************************************************

	LIST	P=16F628,W=-302

    CBLOCK	0X70
       DIVIDEND,DIVISOR,QUOTIENT,REMAINDER,COUNTER
         ENDC
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;  INPUT  =>   DIVIDEND / DIVISOR
;  OUTPUT =>   QUOTIENT.REMAINDER 
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	ORG	0X000

TEST_PROGRAM	MOVLW	.100	; CHANGE INPUT
	MOVWF	DIVIDEND	
	MOVLW	.5
	MOVWF	DIVISOR	

	CALL	DIV8
	GOTO	$
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
DIV8    	MOVLW	.8	; SHIFT 8 TIMES
	MOVWF	COUNTER
    	CLRF	REMAINDER	; CLEAR REMAINDER BEFORE DIVIDE

LOOP1    	RLF	DIVIDEND,1
    	RLF	REMAINDER,1
	MOVFW	DIVISOR
	SUBWF	REMAINDER,0	; W = REMAINDER - DIVISOR
	BC	LOOP2	; CHECK CARRY FLAG JUMP IF SET  
	RLF	QUOTIENT,1
COUNT_LOOP	DECFSZ	COUNTER,1
	GOTO	LOOP1
	RETURN

LOOP2	RLF	QUOTIENT,1
	MOVWF	REMAINDER
	GOTO	COUNT_LOOP
    	
	END	