;***********************************************************************
; Program :	Look-up table -1
; Description :	Demonstrate look-up table operation for 8 data
; Filename :	lab0901.asm
;**********************************************************************
	LIST	P=16F628
PCL	EQU	0x02
PCLATH	EQU	0x0A
COUNT	EQU	0x70    
PORTB	EQU	0x06            

	ORG	0x000
	
	MOVLW	0xAA
	MOVLW	0xBB
	CLRF	COUNT
	MOVFW	COUNT

LOOP	CALL	TABLE		; Look-up table start
	MOVWF	PORTB		; Store data to PORTB
	INCF	COUNT,1
	BTFSC	COUNT,3
	GOTO	$       		; Get data complete	
	MOVFW	COUNT
 	GOTO	LOOP

TABLE	ADDWF	PCL,1		; Data table 8 values
	RETLW	0x00
	RETLW	0x11
	RETLW	0x22
	RETLW	0x33
	RETLW	0x44
	RETLW	0x55
	RETLW	0x66
	RETLW	0x77
		
	END
