;******************************************************************************
; Program :	Look-up table -2
; Description :	Demonstrate the error in limit look-up table operation.
; Filename :	lab0902.asm
;******************************************************************************
	LIST	P=16F628
PCL	EQU	0x02
PCLATH	EQU	0x0A
COUNT	EQU	0x70                

	ORG	0x000
	
	MOVLW	0xAA
	MOVLW	0xBB
	CLRF	COUNT
	MOVFW	COUNT

LOOP	CALL	TABLE		; Look-up table start
	MOVWF	PORTB		; Store data
	INCF	COUNT,1
	BTFSC	COUNT,3
	GOTO	$      		 ; Get data complete
	MOVFW	COUNT
 	GOTO	LOOP
 	
 	ORG	.250		; Define data table starting address

TABLE	ADDWF	PCL,1		; Data table
	RETLW	0x00
	RETLW	0x11
	RETLW	0x22
	RETLW	0x33
	RETLW	0x44
	RETLW	0x55
	RETLW	0x66
	RETLW	0x77
		
	END
