;*****************************************************************************
; Program :	Look-uo table -3
; Description :	Demonstrate look-up table operation with PC setting
; Filename :	lab0903.asm
;*****************************************************************************
	LIST  P=16F628

PCL	EQU	0x02
PCLATH	EQU	0x0A
COUNT	EQU	0x70                

	ORG	0x000
	
	MOVLW	0xAA
	MOVLW	0xBB
	CLRF	COUNT

LOOP	MOVLW	B'00000011'	 ; Define PCLATH value
	MOVWF	PORTB
	MOVWF	PCLATH     	 ; Access block 3
	MOVFW	COUNT
	CALL	TABLE
	INCF	COUNT,1
	BTFSC	COUNT,3
	GOTO	$       		; Get data complete	
 	GOTO	LOOP

	ORG	.768		; Define data table starting address

TABLE	ADDWF	PCL,1
	RETLW	0x00
	RETLW	0x11
	RETLW	0x22
	RETLW	0x33
	RETLW	0x44
	RETLW	0x55
	RETLW	0x66
	RETLW	0x77
		
	END
