;****************************************
;Program :	Port RA5 operation 
;Description :	Using RA5 to digital port
;Filename :	lab1201.asm
;****************************************

	LIST	P=16F628,W=-302
	
TRISA	EQU	0X85	; BANK1
PORTA	EQU	0X05	; BANK 0

	__CONFIG	0X3F50		
	ORG	0X000
	
	BANKSEL	TRISA	; BANK 1
	BCF	TRISA,7	; RA7 = OUTPUT
	
	BCF	TRISA,5	; DON'T CARE
	
	BANKSEL	PORTA	; BANK 0
	BCF	PORTA,7	; TURN-OFF LED
READ_SW
	BTFSS	PORTA,5	; SKIP IF NOT PRESS
	GOTO	PRESSED_SW	; PRESSED 
	BCF	PORTA,7	; TURN-OFF LED
	GOTO	READ_SW      
PRESSED_SW	
	BSF	PORTA,7	; TURN-ON LED		
	GOTO	READ_SW	

	END
