;********************************************
;Program :	Port B operation 
;Description :	Using port B to digital port
;Filename :	hlab0601.asm
;********************************************

	LIST	P=16F628,W=-302

TRISB	EQU	0X86		; Bank 1
PORTB	EQU	0X06	; Bank 0

	__CONFIG	0X3F61
	ORG	0X00

	BANKSEL	TRISB	; Bank select
	CLRF	TRISB	; PORTB = output
	BANKSEL	PORTB	; Return to bank 0

	CLRF	PORTB	; Turn-off LED
	SETC	
RIGHT	RRF	PORTB,1
	CALL	DELAY
	BTFSS	PORTB,0
	GOTO	RIGHT
LEFT	RLF	PORTB,1
	CALL	DELAY
	BTFSS	PORTB,7
	GOTO	LEFT
	GOTO	RIGHT
DELAY	CLRF	0X70
	CLRF	0X71
	DECFSZ	0X70,1
	GOTO	$-1
	DECFSZ	0X71,1
	GOTO	$-3
	RETURN
	
	END
	
