;***********************************************************
; Program :	Timer0 operation
; Description :	Observe Timer0 operation with simulator
; filename :	hlab1301.asm
;***********************************************************

	LIST	P=16F628,W=-302
;********** BANK 0 *********
TMR0	EQU	0x01
STATUS	EQU	0x03
INTCON	EQU	0x0B

;********** BANK 1 *********
OPTION_REG	EQU	0x81

;********** BIT ************
RP0	EQU	5
T0IF	EQU	2
	__CONFIG	0x3F61
	ORG	0x0000

	CLRF	TMR0
	BSF	STATUS,RP0	; Bank 1
	MOVLW	B'11001000'
	MOVWF	OPTION_REG
	BCF	STATUS,RP0	; Bank 0

	MOVLW	.250
	MOVWF	TMR0	; Clear prescaler 
COUNT	NOP		; Inhibit 1 Tcy
	NOP		; Inhibit 1 Tcy
	NOP		; TMR0 begin to increment here
	NOP	
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	GOTO	COUNT	; 2 Tcy

	END 

