;*************************************************************************
;Program :	Basic PWM genrator 
;Description :	Demonstrate using CCP1 module for generating PWM signal
;filename :	hlab2701.asm
;*************************************************************************
	LIST 	P=16F628,W=-302
PORTB	EQU	0x06			; Bank 0 
TMR2	EQU	0x11
T2CON	EQU	0x12
CCPR1L	EQU	0x15
CCP1CON	EQU	0x17
TRISB	EQU	0x86			; Bank 1
PR2	EQU	0x92
	
	ORG	0x000
	__CONFIG	0x3F61

	BANKSEL	TRISB			; RB3 as output
	BCF	TRISB,3
	MOVLW	.249			; Define period     
	MOVWF	PR2
	BANKSEL	CCPR1L	
	MOVLW	B'01111101'	; Define duty cycle bit 9 to bit 2
	MOVWF	CCPR1L	 
	MOVLW	B'00001111'	; Define duty cycle bit 1 and 0
	MOVWF	CCP1CON		; RB3 as PWM output
	CLRF	TMR2			; Clear Timer2
	MOVLW	B'01111001'	; Define Timer2 prescaler  
	MOVWF	T2CON			; Timer2 off
	BSF	T2CON,2		; Timer2 on

	GOTO	$           			; Endless loop

	END
