;***************************************************************************
;Program :		Delay with Sleep
;Description :	Demonstrate delay the operation by using Sleep command
;filename :		hlab3003.asm
;***************************************************************************
	LIST	P=16F628,W=-302
TRISB	EQU	H'0086'
PORTB	EQU	H'0006'
OPTION_REG	EQU	H'0081'
	__CONFIG	H'3F65'
	ORG	H'0000'
	
	BANKSEL	OPTION_REG
	MOVLW	B'11111111'	 		; Time-out = 2.304 second
	MOVWF	OPTION_REG  
	CLRF	TRISB			; PORTB as output
	BANKSEL	PORTB
	CLRF	PORTB			; Clear PORTB
	SETC				; Carry flag = "1"
			
LOOP	
RIGHT	CLRWDT
	RRF	PORTB,1
	SLEEP					; Enter sleep mode
	BTFSS	PORTB,0
	GOTO	RIGHT

LEFT	CLRWDT
	RLF	PORTB,1
	SLEEP					; Enter sleep mode
	BTFSS	PORTB,7
	GOTO	LEFT
	GOTO	LOOP

	END 
