;***************************************************************************
; Program :	Basic indirect addressing mode-2
; Description :	Demonstrate accessing RAM address 0xF0-0xF7 for filling 0xAB data
; Filename :	lab0102.asm
;***************************************************************************
	LIST	P=16F628

INDF	EQU	0x00
FSR	EQU	0x04
STATUS	EQU	0x03

IRP	EQU	7

	ORG	0x00
	
	BCF	STATUS,IRP  ; BANK 0 OR 1	
	MOVLW	0xF0
	MOVWF	FSR	; GET ADDRESS
	MOVLW	0xAB
LOOP	MOVWF	INDF	; DATA = 0
	INCF	FSR,1
	BTFSS	FSR,3
	GOTO	LOOP
	GOTO	$ 	; END OF JOB
	
	END
