;***************************************************************************
; Program :	Indirect addressing mode-3
; Description :	Demonstrate accessing TRISB and PORTB register by indirect addressing mode
; Filename :	lab0103.asm
;***************************************************************************
	LIST	P=16F628
	__CONFIG	03F61
INDF	EQU	0x00
STATUS	EQU	0x03
FSR	EQU	0x04
PORTB	EQU	0x06
TRISB	EQU	0x86 
RP0	EQU	5	
IRP	EQU	7

	ORG	0000
	BCF	STATUS,IRP	; BANK 0 OR 1 
	MOVLW	0x86	; POINT TO TRISB
	MOVWF	FSR	
	CLRF	INDF	; PORTB = OUTPUT

	MOVLW	0x06	; POINT TO PORTB	
	MOVWF	FSR	
	CLRF	INDF	; CLEAR PORTB
LOOP	INCF	INDF,1
	GOTO	LOOP

	END
