;***************************************************************************
; Program :	Direct addressing mode
; Description :	Demonstrate accessing TRISB and PORTB register by direct addressing mode
; Filename :	lab0104.asm
;***************************************************************************
	LIST	P=16F628,W=-302

INDF	EQU	0x00
STATUS	EQU	0x03
FSR	EQU	0x04
PORTB	EQU	0x06
TRISB	EQU	0x86 
RP0	EQU	5	
IRP	EQU	7
	__CONFIG	03F61

	ORG	000
	
	BSF	STATUS,RP0	; bank 1
	CLRF	TRISB		; PORTB = output
	BCF	STATUS,RP0	; bank 0
	CLRF	PORTB		; clear PORTB

LOOP	INCF	PORTB,1	; increment PORTB
	GOTO	LOOP

	END
