;*************************************************************************
; Program : 	Bit manipulation
; Description : Demonstrate operation of bit manipulation instruction
; Filename :	lab0401.asm
;************************************************************************  
  	list 	P=16F628

STATUS	EQU	0x03
PORTB	EQU	0x06
W	EQU	0
F	EQU	1
RP0	EQU	5

 	ORG 	0x00

INIT	BSF	STATUS,RP0	; Select Bank 1
	MOVLW	B'11111000'	; Port B Bit 0 as output	
	MOVWF	PORTB		
	BCF	STATUS,RP0	; Select Bank 0
	CLRF	PORTB		; Clear output port

START	BTFSS	PORTB,0		; Port B Bit 0 = "1" ?
	GOTO	SET_RB0		; IF RB0<>1 then set RB0
	BCF	PORTB,0		; Clear RB0
	GOTO	START		; Loop

SET_RB0	BSF	PORTB,0		; Set RB0
	GOTO	START		; Loop

	END
