;**********************************************************************************
; Program :	Set bit with OR operation
; Description :	Demonstrate using OR operation to set bit in register file
; Filename :	lab0501.asm
;**********************************************************************************
LIST 	P=16F628

STATUS	EQU	0x03
PORTB	EQU	0x06
W	EQU	0
F	EQU	1
RP0	EQU	5

	ORG 	0x00

INIT	BSF	STATUS,RP0	; Select bank 1
	CLRF	PORTB		; PORTB to output		
	BCF	STATUS,RP0	; Select bank 0
	CLRF	PORTB		; Clear output port 

START	MOVLW	b'00000000'	; Clear W register 
	IORLW	b'00100000'	; Set PORTB bit 5
	MOVWF	PORTB		; Display PORTB
CYCLE	GOTO	CYCLE		; Done

	END
