;*******************************************************************************
; Program :	Decimal adjust for working register
; Description :	Demonstrate method of decimsal adjust after addition
; Filename :	lab0802.asm
;*******************************************************************************
	LIST	P=16F628
;  C ARE W  ARE RESULT
STATUS	EQU	0X03
Z	EQU	2
DC	EQU	1
C	EQU	0
W	EQU	0
F	EQU	1
  CBLOCK	0X70        ; COMMON RAM
	BEFORE,FLAG,TEMP1
  ENDC		
;!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	ORG	0X000
	
 	MOVLW	0X98	; ADDITION
	ADDLW	0X97	;
	
	CALL	DAW	; CALL DECIMAL ADJUST
	NOP	 	; END OF JOB
;**********************************************************************
DAW
	MOVWF	BEFORE	; RESULT BEFORE ADJUST
	MOVFW	STATUS	; KEEP ALL FLAGS AFTER ADDITION
	MOVWF	FLAG
LOW_NIBBLE	
	BTFSC	FLAG,DC	
	GOTO	ADJ_LOW
	MOVLW	B'00001111'	; MASK LOW NIBBLE
	ANDWF	BEFORE,W
          	MOVWF	TEMP1
	MOVLW	B'00001001'
	SUBWF	TEMP1,W	; VERIFY LOW NIBBLE
	BTFSC	STATUS,Z	; LOW NIBBLE <> 9
	GOTO	HIGH_NIBBLE ; LOW NIBBLE  = 9
	BTFSC	STATUS,C	                        	  
	GOTO	ADJ_LOW	; LOW NIBBLE  > 9
	GOTO	HIGH_NIBBLE ; LOW NIBBLE  < 9
ADJ_LOW
	MOVLW	0X06
	ADDWF	BEFORE,F
	BTFSS	STATUS,C
	GOTO	HIGH_NIBBLE
	BSF	FLAG,C
	GOTO	ADJ_HIGH
HIGH_NIBBLE
	BTFSC	FLAG,C	
	GOTO	ADJ_HIGH
	MOVLW	B'11110000'
 	ANDWF	BEFORE,W
	MOVWF	TEMP1
	MOVLW	B'10010000'
	SUBWF	TEMP1,W	  ; VERIFY HIGH NIBBLE
	BTFSC	STATUS,Z	  ; HIGH NIBBLE <> 9
	GOTO	ADJ_C	  ; HIGH NIBBLE =  9
	BTFSC	STATUS,C	
	GOTO	ADJ_HIGH      ; HIGH NIBBLE >  9
	GOTO	ADJ_COMPLETED ; HIGH NIBBLE <  9 
ADJ_C
	BCF	STATUS,C
ADJ_COMPLETED
	MOVFW	BEFORE	  ; C & W  = DECIMAL ADJUST RESULT
	BTFSC	FLAG,C
	BSF	STATUS,C	
	RETURN 
ADJ_HIGH
	MOVLW	0X60	  
	ADDWF	BEFORE,F
	GOTO	ADJ_COMPLETED
;**************************  END OF ROUTINE  **************************	
	END