;*************************************************************
; Program :	Multiply by 10
; Description :	Demonstrate method of 8-bit multiply by 10
; Filename :	lab0805.asm
;*************************************************************
	LIST	P=16F628
STATUS  EQU	0x03
PORTB	EQU	0x06
TEST_N	EQU	0x20
MATH	EQU	0x21
COPY_8N EQU	0x22
W	EQU	0
F	EQU	1
RP0	EQU	5
C	EQU	0

	ORG 	0x00
INIT	BSF	STATUS,RP0		; Select bank 1
	MOVLW	0x00			; Port B Bit 0 as output
	MOVWF	PORTB		
	BCF	STATUS,RP0 		; Select bank 0
	CLRF	PORTB			; Clear output port
START	MOVLW	0x03			; Test number
	CALL	MULTI			; CALL multiply subroutine
	MOVWF	PORTB			; Display status at Port B
CYCLE	GOTO	CYCLE			; Done
MULTI	MOVWF	TEST_N  		; Save copy of test number
	MOVWF	MATH			; Mutiply register
	BCF	STATUS,C		; Clear Carry flag
	RLF	MATH,F			; Multiply by 2
	BCF	STATUS,C		; Clear Carry flag
	RLF	MATH,F			; Multiply by 2
	BCF	STATUS,C		; Clear Carry flag
	RLF	MATH,F			; Multiply by 2
	MOVF	MATH,W			; Get copy of 8 x n
	MOVWF	COPY_8N		; Store copy of 8 x n
	MOVF	TEST_N,W		; Get copy of n
	MOVWF	MATH			; 
	BCF	STATUS,C		; Clear Carry flag
	RLF	MATH,F			; Multiply by 2
	MOVF	MATH,W			; Get copy of 8 x n
	ADDWF	COPY_8N,W		; Add 8n With 2n
	RETURN				; Result in w
	END
